Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::ServerProtocolPolicy_out Class Reference

`#include <RTCORBAC.h>`

Collaboration diagram for RTCORBA::ServerProtocolPolicy_out:

[legend]
List of all members.

## Public Methods
| ServerProtocolPolicy_out (ServerProtocolPolicy_ptr &)
| ServerProtocolPolicy_out (ServerProtocolPolicy_var &)
| ServerProtocolPolicy_out (const ServerProtocolPolicy_out &)
ServerProtocolPolicy_out & | operator= (const ServerProtocolPolicy_out &)
ServerProtocolPolicy_out & | operator= (const ServerProtocolPolicy_var &)
ServerProtocolPolicy_out & | operator= (ServerProtocolPolicy_ptr)
| operator ServerProtocolPolicy_ptr & ()
ServerProtocolPolicy_ptr & | ptr (void)
ServerProtocolPolicy_ptr | operator-> (void)
## Private Attributes
ServerProtocolPolicy_ptr & | ptr_

## Constructor & Destructor Documentation

RTCORBA::ServerProtocolPolicy_out::ServerProtocolPolicy_out | ( | ServerProtocolPolicy_ptr & |  | ) |

RTCORBA::ServerProtocolPolicy_out::ServerProtocolPolicy_out | ( | ServerProtocolPolicy_var & |  | ) |

RTCORBA::ServerProtocolPolicy_out::ServerProtocolPolicy_out | ( | const ServerProtocolPolicy_out & |  | ) |

## Member Function Documentation

RTCORBA::ServerProtocolPolicy_out::operator ServerProtocolPolicy_ptr & | ( |  | ) |

ServerProtocolPolicy_ptr RTCORBA::ServerProtocolPolicy_out::operator-> | ( | void |  | ) |

ServerProtocolPolicy_out& RTCORBA::ServerProtocolPolicy_out::operator= | ( | ServerProtocolPolicy_ptr |  | ) |

ServerProtocolPolicy_out& RTCORBA::ServerProtocolPolicy_out::operator= | ( | const ServerProtocolPolicy_var & |  | ) |

ServerProtocolPolicy_out& RTCORBA::ServerProtocolPolicy_out::operator= | ( | const ServerProtocolPolicy_out & |  | ) |

ServerProtocolPolicy_ptr& RTCORBA::ServerProtocolPolicy_out::ptr | ( | void |  | ) |

## Member Data Documentation

ServerProtocolPolicy_ptr& RTCORBA::ServerProtocolPolicy_out::ptr_`[private]`

The documentation for this class was generated from the following file:

- RTCORBAC.h